org.apache.maven.scm.command.changelog

## Class ChangeLogScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.changelog.ChangeLogScmResult

All Implemented Interfaces:
  Serializable

    public class ChangeLogScmResult
    extends ScmResult

Author:
  Trygve Laugstøl, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`ChangeLogScmResult(ChangeLogSet changeLog, ScmResult result)`
`ChangeLogScmResult(String commandLine, ChangeLogSet changeLog)`
`ChangeLogScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChangeLogSet` `getChangeLog()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeLogScmResult

    public ChangeLogScmResult(String commandLine,
                              String providerMessage,
                              String commandOutput,
                              boolean success)

#### ChangeLogScmResult

    public ChangeLogScmResult(String commandLine,
                              ChangeLogSet changeLog)

#### ChangeLogScmResult

    public ChangeLogScmResult(ChangeLogSet changeLog,
                              ScmResult result)

### Method Detail

#### getChangeLog

    public ChangeLogSet getChangeLog()